Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/releases/1.2.6/configure

    r2981 r2985  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064 
    1065   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1064  --enable-doscompile     Under Cygwin, compile so that executables run under
     1065                          DOS. Set to mingw to use gcc/g++/ld with
     1066                          -mno-cygwin. Set to msvc to use cl/link (or
     1067                          icl/link). Default when mentioned: mingw. Default
     1068                          when not mentioned: disabled.
    10661069  --disable-pkg-config    disable use of pkg-config (if available)
    10671070  --enable-static[=PKGS]
     
    18521855
    18531856# Get the name of the C compiler
    1854 
    1855 
    1856   # for backward compatibility
    1857   # Check whether --enable-doscompile or --disable-doscompile was given.
    1858 if test "${enable_doscompile+set}" = set; then
    1859   enableval="$enable_doscompile"
    1860   enable_doscompile=$enableval
    1861 else
    1862   enable_doscompile=no
    1863 fi;
    1864 
    1865   # Check whether --enable-msvc or --disable-msvc was given.
    1866 if test "${enable_msvc+set}" = set; then
    1867   enableval="$enable_msvc"
    1868   enable_msvc=$enableval
    1869 else
    1870   enable_msvc=no
    1871      if test "$enable_doscompile" = msvc ; then
    1872        enable_msvc=yes
    1873      elif test "$enable_doscompile" != no ; then
    1874        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1875 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1876    { (exit 1); exit 1; }; }
    1877      fi
    1878 
    1879 fi;
    1880 
    1881   if test "$enable_msvc" = yes; then
    1882     case $build in
    1883       *-cygwin* | *-mingw*) ;;
    1884       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1885 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1886    { (exit 1); exit 1; }; } ;;
    1887     esac
    1888   fi
    1889 
    1890 
    1891  case $build in
     1857case $build in
    18921858  *-mingw*)
    18931859    if test "${LD+set}" = set; then :; else
     
    18961862    ;;
    18971863 esac
    1898  if test $enable_msvc = yes ; then
    1899    if test "x${LD+set}" = xset; then :; else
    1900      LD=link
     1864 case $enable_doscompile in
     1865   msvc)
     1866     if test "x${LD+set}" = xset; then :; else
     1867       LD=link
     1868     fi
     1869     ;;
     1870 esac
     1871
     1872
     1873 # Check whether --enable-doscompile or --disable-doscompile was given.
     1874if test "${enable_doscompile+set}" = set; then
     1875  enableval="$enable_doscompile"
     1876  if test "$enable_doscompile" != no; then
     1877     case $build in
     1878       *-cygwin* | *-mingw*) ;;
     1879       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1880echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1881   { (exit 1); exit 1; }; } ;;
     1882     esac
    19011883   fi
    1902  fi
     1884else
     1885  enable_doscompile=no
     1886fi;
     1887 case "$enable_doscompile" in
     1888   mingw)
     1889     case $build in
     1890       *-mingw*) enable_doscompile=no ;;
     1891     esac
     1892     ;;
     1893   msvc|no) ;;
     1894   yes) enable_doscompile=mingw ;;
     1895   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1896                    Try configure --help=recursive." >&5
     1897echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1898                    Try configure --help=recursive." >&2;}
     1899   { (exit 1); exit 1; }; }
     1900      ;;
     1901  esac
     1902  if test "$enable_doscompile" != no ; then
     1903    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1904echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1905  fi
    19031906
    19041907
     
    19431946case $build in
    19441947  *-cygwin* | *-mingw*)
    1945              if test "$enable_msvc" = yes ; then
    1946                comps="icl cl gcc"
     1948             if test "$enable_doscompile" = msvc ; then
     1949               comps="icl cl"
    19471950             else
    1948                comps="gcc icl cl"
     1951               comps="gcc cl"
    19491952             fi ;;
    19501953  *-*-solaris*)
     
    27992802            ;;
    28002803        esac
     2804        case $enable_doscompile in
     2805          mingw)
     2806            CFLAGS="-mno-cygwin"
     2807            cat >conftest.$ac_ext <<_ACEOF
     2808/* confdefs.h.  */
     2809_ACEOF
     2810cat confdefs.h >>conftest.$ac_ext
     2811cat >>conftest.$ac_ext <<_ACEOF
     2812/* end confdefs.h.  */
     2813
     2814int
     2815main ()
     2816{
     2817int i=0; i++;
     2818  ;
     2819  return 0;
     2820}
     2821_ACEOF
     2822rm -f conftest.$ac_objext conftest$ac_exeext
     2823if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2824  (eval $ac_link) 2>conftest.er1
     2825  ac_status=$?
     2826  grep -v '^ *+' conftest.er1 >conftest.err
     2827  rm -f conftest.er1
     2828  cat conftest.err >&5
     2829  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2830  (exit $ac_status); } &&
     2831         { ac_try='test -z "$ac_c_werror_flag"
     2832                         || test ! -s conftest.err'
     2833  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2834  (eval $ac_try) 2>&5
     2835  ac_status=$?
     2836  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2837  (exit $ac_status); }; } &&
     2838         { ac_try='test -s conftest$ac_exeext'
     2839  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2840  (eval $ac_try) 2>&5
     2841  ac_status=$?
     2842  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2843  (exit $ac_status); }; }; then
     2844  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2845else
     2846  echo "$as_me: failed program was:" >&5
     2847sed 's/^/| /' conftest.$ac_ext >&5
     2848
     2849fi
     2850rm -f conftest.err conftest.$ac_objext \
     2851      conftest$ac_exeext conftest.$ac_ext
     2852            CFLAGS=
     2853          ;;
     2854        esac
    28012855    esac
    28022856  fi
     
    31393193  clang* ) ;;
    31403194  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3141 
    3142  case $build in
     3195    case $build in
    31433196  *-mingw*)
    31443197    if test "${LD+set}" = set; then :; else
     
    31473200    ;;
    31483201 esac
    3149  if test $enable_msvc = yes ; then
    3150    if test "x${LD+set}" = xset; then :; else
    3151      LD=link
    3152    fi
    3153  fi
     3202 case $enable_doscompile in
     3203   msvc)
     3204     if test "x${LD+set}" = xset; then :; else
     3205       LD=link
     3206     fi
     3207     ;;
     3208 esac
    31543209
    31553210    ;;
     
    50135068*-*-irix6*)
    50145069  # Find out which ABI we are using.
    5015   echo '#line 5015 "configure"' > conftest.$ac_ext
     5070  echo '#line 5070 "configure"' > conftest.$ac_ext
    50165071  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50175072  (eval $ac_compile) 2>&5
     
    66126667
    66136668# Provide some information about the compiler.
    6614 echo "$as_me:6614:" \
     6669echo "$as_me:6669:" \
    66156670     "checking for Fortran 77 compiler version" >&5
    66166671ac_compiler=`set X $ac_compile; echo $2`
     
    76797734   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76807735   -e 's:$: $lt_compiler_flag:'`
    7681    (eval echo "\"\$as_me:7681: $lt_compile\"" >&5)
     7736   (eval echo "\"\$as_me:7736: $lt_compile\"" >&5)
    76827737   (eval "$lt_compile" 2>conftest.err)
    76837738   ac_status=$?
    76847739   cat conftest.err >&5
    7685    echo "$as_me:7685: \$? = $ac_status" >&5
     7740   echo "$as_me:7740: \$? = $ac_status" >&5
    76867741   if (exit $ac_status) && test -s "$ac_outfile"; then
    76877742     # The compiler can only warn and ignore the option if not recognized
     
    79478002   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79488003   -e 's:$: $lt_compiler_flag:'`
    7949    (eval echo "\"\$as_me:7949: $lt_compile\"" >&5)
     8004   (eval echo "\"\$as_me:8004: $lt_compile\"" >&5)
    79508005   (eval "$lt_compile" 2>conftest.err)
    79518006   ac_status=$?
    79528007   cat conftest.err >&5
    7953    echo "$as_me:7953: \$? = $ac_status" >&5
     8008   echo "$as_me:8008: \$? = $ac_status" >&5
    79548009   if (exit $ac_status) && test -s "$ac_outfile"; then
    79558010     # The compiler can only warn and ignore the option if not recognized
     
    80518106   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80528107   -e 's:$: $lt_compiler_flag:'`
    8053    (eval echo "\"\$as_me:8053: $lt_compile\"" >&5)
     8108   (eval echo "\"\$as_me:8108: $lt_compile\"" >&5)
    80548109   (eval "$lt_compile" 2>out/conftest.err)
    80558110   ac_status=$?
    80568111   cat out/conftest.err >&5
    8057    echo "$as_me:8057: \$? = $ac_status" >&5
     8112   echo "$as_me:8112: \$? = $ac_status" >&5
    80588113   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80598114   then
     
    1039610451  lt_status=$lt_dlunknown
    1039710452  cat > conftest.$ac_ext <<EOF
    10398 #line 10398 "configure"
     10453#line 10453 "configure"
    1039910454#include "confdefs.h"
    1040010455
     
    1049610551  lt_status=$lt_dlunknown
    1049710552  cat > conftest.$ac_ext <<EOF
    10498 #line 10498 "configure"
     10553#line 10553 "configure"
    1049910554#include "confdefs.h"
    1050010555
     
    1284012895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1284112896   -e 's:$: $lt_compiler_flag:'`
    12842    (eval echo "\"\$as_me:12842: $lt_compile\"" >&5)
     12897   (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
    1284312898   (eval "$lt_compile" 2>conftest.err)
    1284412899   ac_status=$?
    1284512900   cat conftest.err >&5
    12846    echo "$as_me:12846: \$? = $ac_status" >&5
     12901   echo "$as_me:12901: \$? = $ac_status" >&5
    1284712902   if (exit $ac_status) && test -s "$ac_outfile"; then
    1284812903     # The compiler can only warn and ignore the option if not recognized
     
    1294412999   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1294513000   -e 's:$: $lt_compiler_flag:'`
    12946    (eval echo "\"\$as_me:12946: $lt_compile\"" >&5)
     13001   (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
    1294713002   (eval "$lt_compile" 2>out/conftest.err)
    1294813003   ac_status=$?
    1294913004   cat out/conftest.err >&5
    12950    echo "$as_me:12950: \$? = $ac_status" >&5
     13005   echo "$as_me:13005: \$? = $ac_status" >&5
    1295113006   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1295213007   then
     
    1451414569   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1451514570   -e 's:$: $lt_compiler_flag:'`
    14516    (eval echo "\"\$as_me:14516: $lt_compile\"" >&5)
     14571   (eval echo "\"\$as_me:14571: $lt_compile\"" >&5)
    1451714572   (eval "$lt_compile" 2>conftest.err)
    1451814573   ac_status=$?
    1451914574   cat conftest.err >&5
    14520    echo "$as_me:14520: \$? = $ac_status" >&5
     14575   echo "$as_me:14575: \$? = $ac_status" >&5
    1452114576   if (exit $ac_status) && test -s "$ac_outfile"; then
    1452214577     # The compiler can only warn and ignore the option if not recognized
     
    1461814673   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1461914674   -e 's:$: $lt_compiler_flag:'`
    14620    (eval echo "\"\$as_me:14620: $lt_compile\"" >&5)
     14675   (eval echo "\"\$as_me:14675: $lt_compile\"" >&5)
    1462114676   (eval "$lt_compile" 2>out/conftest.err)
    1462214677   ac_status=$?
    1462314678   cat out/conftest.err >&5
    14624    echo "$as_me:14624: \$? = $ac_status" >&5
     14679   echo "$as_me:14679: \$? = $ac_status" >&5
    1462514680   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1462614681   then
     
    1682516880   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1682616881   -e 's:$: $lt_compiler_flag:'`
    16827    (eval echo "\"\$as_me:16827: $lt_compile\"" >&5)
     16882   (eval echo "\"\$as_me:16882: $lt_compile\"" >&5)
    1682816883   (eval "$lt_compile" 2>conftest.err)
    1682916884   ac_status=$?
    1683016885   cat conftest.err >&5
    16831    echo "$as_me:16831: \$? = $ac_status" >&5
     16886   echo "$as_me:16886: \$? = $ac_status" >&5
    1683216887   if (exit $ac_status) && test -s "$ac_outfile"; then
    1683316888     # The compiler can only warn and ignore the option if not recognized
     
    1709317148   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1709417149   -e 's:$: $lt_compiler_flag:'`
    17095    (eval echo "\"\$as_me:17095: $lt_compile\"" >&5)
     17150   (eval echo "\"\$as_me:17150: $lt_compile\"" >&5)
    1709617151   (eval "$lt_compile" 2>conftest.err)
    1709717152   ac_status=$?
    1709817153   cat conftest.err >&5
    17099    echo "$as_me:17099: \$? = $ac_status" >&5
     17154   echo "$as_me:17154: \$? = $ac_status" >&5
    1710017155   if (exit $ac_status) && test -s "$ac_outfile"; then
    1710117156     # The compiler can only warn and ignore the option if not recognized
     
    1719717252   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1719817253   -e 's:$: $lt_compiler_flag:'`
    17199    (eval echo "\"\$as_me:17199: $lt_compile\"" >&5)
     17254   (eval echo "\"\$as_me:17254: $lt_compile\"" >&5)
    1720017255   (eval "$lt_compile" 2>out/conftest.err)
    1720117256   ac_status=$?
    1720217257   cat out/conftest.err >&5
    17203    echo "$as_me:17203: \$? = $ac_status" >&5
     17258   echo "$as_me:17258: \$? = $ac_status" >&5
    1720417259   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1720517260   then
     
    2036320418echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2036420419coin_link_input_cmd="$LN_S"
     20420if test "$enable_doscompile" = mingw; then
     20421  coin_link_input_cmd=cp
     20422fi
    2036520423case "$CC" in
    2036620424  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.